Anki Forums

Synchronization fail

I’m having trouble with synchronization in my PC (Windows). When I click the syncronization button/when i close the app it appears this message:

Falha na sincronização:
Traceback (most recent call last):
File “lib\site-packages\urllib3\connectionpool.py”, line 662, in urlopen
File “lib\site-packages\urllib3\connectionpool.py”, line 948, in _prepare_proxy
File “lib\site-packages\urllib3\connection.py”, line 342, in connect
File “http\client.py”, line 898, in _tunnel
OSError: Tunnel connection failed: 407 Proxy Authentication Required

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “lib\site-packages\requests\adapters.py”, line 439, in send
File “lib\site-packages\urllib3\connectionpool.py”, line 719, in urlopen
File “lib\site-packages\urllib3\util\retry.py”, line 436, in increment
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘sync.ankiweb.net’, port=443): Max retries exceeded with url: /sync/hostKey (Caused by ProxyError(‘Cannot connect to proxy.’, OSError(‘Tunnel connection failed: 407 Proxy Authentication Required’)))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “aqt\sync.py”, line 397, in run
File “aqt\sync.py”, line 420, in _sync
File “lib\site-packages\anki\sync.py”, line 571, in hostKey
File “lib\site-packages\anki\sync.py”, line 551, in req
File “lib\site-packages\anki\httpclient.py”, line 36, in post
File “lib\site-packages\requests\sessions.py”, line 581, in post
File “lib\site-packages\requests\sessions.py”, line 533, in request
File “lib\site-packages\requests\sessions.py”, line 646, in send
File “lib\site-packages\requests\adapters.py”, line 510, in send
requests.exceptions.ProxyError: HTTPSConnectionPool(host=‘sync.ankiweb.net’, port=443): Max retries exceeded with url: /sync/hostKey (Caused by ProxyError(‘Cannot connect to proxy.’, OSError(‘Tunnel connection failed: 407 Proxy Authentication Required’)))

I was using the 2.1.26 version when this happened, then I updated to 2.1.22 because I saw in a forum, but it didn’t change. Instead, When i updated, I couldn’t even open my user and my decks, it appeared this window:
excl

In the image it says: “Anki could not open your collection. If the problem continues after restarting your computer, please click in the “open backup” button, in the profile manager”

I forgot to mention, but I also can’t open a previous backup…

about your not being able to synchronize, i can’t really help as i never had that issue.

but about you not being able to open your profile after downgrading Anki, read this topic:

2 Likes

mmdj2, thank you for your answer!

I tried it, reinstalled 2.1.26, and pressed downgrade and quit.
Now I can finally open my profile, but the synchronization issue still runs.

When I open my profile, it appears the following message:

Falha na sincronização:
Traceback (most recent call last):
File “lib\site-packages\urllib3\connectionpool.py”, line 662, in urlopen
File “lib\site-packages\urllib3\connectionpool.py”, line 948, in _prepare_proxy
File “lib\site-packages\urllib3\connection.py”, line 342, in connect
File “http\client.py”, line 898, in _tunnel
OSError: Tunnel connection failed: 407 Proxy Authentication Required

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “lib\site-packages\requests\adapters.py”, line 439, in send
File “lib\site-packages\urllib3\connectionpool.py”, line 719, in urlopen
File “lib\site-packages\urllib3\util\retry.py”, line 436, in increment
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘sync2.ankiweb.net’, port=443): Max retries exceeded with url: /sync/meta (Caused by ProxyError(‘Cannot connect to proxy.’, OSError(‘Tunnel connection failed: 407 Proxy Authentication Required’)))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “aqt\sync.py”, line 429, in _sync
File “aqt\sync.py”, line 409, in _abortingSync
File “lib\site-packages\anki\sync.py”, line 55, in sync
File “lib\site-packages\anki\sync.py”, line 576, in meta
File “lib\site-packages\anki\sync.py”, line 543, in req
File “lib\site-packages\anki\httpclient.py”, line 36, in post
File “lib\site-packages\requests\sessions.py”, line 581, in post
File “lib\site-packages\requests\sessions.py”, line 533, in request
File “lib\site-packages\requests\sessions.py”, line 646, in send
File “lib\site-packages\requests\adapters.py”, line 510, in send
requests.exceptions.ProxyError: HTTPSConnectionPool(host=‘sync2.ankiweb.net’, port=443): Max retries exceeded with url: /sync/meta (Caused by ProxyError(‘Cannot connect to proxy.’, OSError(‘Tunnel connection failed: 407 Proxy Authentication Required’)))

AND NOW :confounded:, after i click Files -> Change profile, appears the following message for 1 second, then disappear.

exc

This might help you

3 Likes

mmdj2,

Thank you so much!! It was something related to proxy. I could finally sync.
Thanks again

1 Like